## ros-one-eus-qpoases 0.1.18-14jammy.20251023.0100

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(eus_qpoases)

find_package(catkin REQUIRED COMPONENTS rostest)

include(ExternalProject)

ExternalProject_Add(qpoases
  GIT_REPOSITORY https://github.com/coin-or/qpOASES
  GIT_TAG releases/3.0.1
  TIMEOUT 30
  PATCH_COMMAND patch -s -p0 --forward < ${PROJECT_SOURCE_DIR}/patch/UseShareLibrary.patch || true # # If there is no --forward, the build process hangs because the patch command waits interactively for input on whether a file that has already been patched can be patched again. If there is no || true , the patch command returns non-zero status.
  CMAKE_ARGS -DCMAKE_BUILD_TYPE=Release
  BUILD_COMMAND make -j
  BUILD_IN_SOURCE 1
  INSTALL_COMMAND sh -c "cp -r include/* ${PROJECT_SOURCE_DIR}/include/" && sh -c "rm -fr ${PROJECT_SOURCE_DIR}/.git" && cp libs/libqpOASES.so ${PROJECT_SOURCE_DIR}/lib/ && cp libs/libqpOASES.so.3.0 ${PROJECT_SOURCE_DIR}/lib/
  LOG_DOWNLOAD ON
  LOG_CONFIGURE ON
  LOG_BUILD ON
  )
ExternalProject_Get_Property(qpoases source_dir)

catkin_package(
 INCLUDE_DIRS include
)

include_directories(include)
link_directories(lib)

add_executable(example1 examples/example1.cpp)
set_target_properties(example1 PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/bin)
add_dependencies(example1 qpoases)
target_link_libraries(example1 qpOASES)
add_library(eus_qpoases SHARED src/eus_qpoases.cpp)
set_target_properties(eus_qpoases PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/lib)
add_dependencies(eus_qpoases qpoases)
target_link_libraries(eus_qpoases qpOASES)

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/eus_qpoases.test)
endif()

install(DIRECTORY lib/
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY euslisp examples
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(TARGETS eus_qpoases # lib/ is added here to install euslisp library
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/lib)
install(DIRECTORY include/
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-one-eus-qpoases (0.1.18-14jammy.20251023.0100) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 01:00:34 +0000

ros-one-eus-qpoases (0.1.18-0jammy) jammy; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2024 00:00:00 -0000

ros-one-eus-qpoases (0.1.17-0jammy) jammy; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 28 May 2023 00:00:00 -0000

ros-one-eus-qpoases (0.1.16-0jammy) jammy; urgency=high

  * https://projects.coin-or.org have mved to github (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
  * add optimization motion generation (#700 <https://github.com/jsk-ros-pkg/jsk_control/issues/700>)
    
      * [eus_qpoases/src/eus_qpoases.cpp] change nWSR for large size QP problem: 1000 -> 10000
    
  * Contributors: Kei Okada, Masaki Murooka

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2022 00:00:00 -0000

ros-one-eus-qpoases (0.1.15-0jammy) jammy; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 16 May 2018 00:00:00 -0000

ros-one-eus-qpoases (0.1.14-0jammy) jammy; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-one-eus-qpoases (0.1.13-0jammy) jammy; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-one-eus-qpoases (0.1.12-0jammy) jammy; urgency=high

  * mv .gitignore to .placeholder
  * Contributors: Kei Okada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-eus-qpoases (0.1.11-0jammy) jammy; urgency=high

  * Set include path of qpoases in eus_qpoases
  * Contributors: Kei Okada, Kentaro Wada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-eus-qpoases (0.1.10-0jammy) jammy; urgency=high

  * eus_qpoases : add missing install directory
  * [euslisp/test-eus-qpoases.l,test/eus-qpoases.test.l] Add test for sqp/slp
  * [eus_qpoases.cpp, eus-qpoases.l] Add qp with hotstart and sqp with hotstart
  * [eus_qpoases/src/eus_qpoases.cpp] Use common function for qp and lp.
  * Contributors: Kei Okada, Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-one-eus-qpoases (0.1.9-0jammy) jammy; urgency=high

  * [eus_qpoases/euslisp/eus-qpoases.l] Use concatenate matrix functions in irteus and fix checking of ineq and eq existence
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 23 Mar 2016 00:00:00 -0000

ros-one-eus-qpoases (0.1.8-0jammy) jammy; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 00:00:00 -0000

ros-one-eus-qpoases (0.1.7-0jammy) jammy; urgency=high

  * [eus_qpoases] use ExternalProject instead of mk
  * [eus_qpoases/euslisp/eus-qpoases.l] Check equality usage and use state-dim and inequality-dim.
  * [../../eus_qp/euslisp/contact-optimization.l,test-eus-qpoases.l,eus-qpoases.l] Rename solve-qpoases => solve-qpoases-qp and remain solve-qpoases for backward compatibility with warning.
  * [../src/eus_qpoases.cpp,../test/eus-qpoases.test.l,test-eus-qpoases.l,eus-qpoases.l] Add LP solver using qpOASES and add samples and tests.
  * [../src/eus_qpoases.cpp,../test/eus-qpoases.test.l,test-eus-qpoases.l,eus-qpoases.l] Add LP solver using qpOASES and add samples and tests.
  * [eus_qpoases/euslisp/eus-qpoases.l] Add argument matrix size check
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Add comments for qp functions
  * Add demo-eus-qpOASES4 for force infeasible problem.
  * Print debug message by default. If you want to disable it, :debug nil
  * Add debug print check
  * Added install rules for qpoases headers and libs to catkin cmake-file.
  * require rostest in cmake files
  * add rostest declaration
  * intial commit of test dir and test files, check euslisp/test-eus-qpoases.l all functions, and if there are at least one failure, then test would be failed
  * test functions return test results
  * [eus_qpoases] add dependencies to linqpOASES
  * Contributors: Yuki Furuta, Georg Bartels, Ryohei Ueda, Shunichi Nozawa, Shintaro Noda

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 00:00:00 -0000

ros-one-eus-qpoases (0.1.6-0jammy) jammy; urgency=high

  * [eus_qpoases] Ignore bin directory
  * [eus_qpoases] Support ccache

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-one-eus-qpoases (0.1.5-0jammy) jammy; urgency=high

  * Get qpOASES status from argument
  * Update patch for qpoases shared object (https://github.com/jsk-ros-pkg/jsk_control/issues/180)
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 00:00:00 -0000

ros-one-eus-qpoases (0.1.4-0jammy) jammy; urgency=high

  * trust server ssl

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 21 Oct 2014 00:00:00 -0000

ros-one-eus-qpoases (0.1.3-0jammy) jammy; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Fri, 10 Oct 2014 00:00:00 -0000

ros-one-eus-qpoases (0.1.2-0jammy) jammy; urgency=high

  * add run_depend to euslisp
  * add subversion to build_depend
  * Contributors: Kei Okada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 08 Sep 2014 00:00:00 -0000

ros-one-eus-qpoases (0.1.1-0jammy) jammy; urgency=high

  * Add euslisp package for qpOASES, which is a qp solver
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 04 Sep 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-eus-qpoases
Section: misc
Priority: optional
Maintainer: Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-euslisp, ros-one-rostest, subversion
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-eus-qpoases
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-euslisp, ros-one-rostest
Description: eus_qpoases

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-eus-qpoases//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-eus-qpoases 0.1.18-14jammy.20260220.2157

=== debian/changelog ===
ros-one-eus-qpoases (0.1.18-14jammy.20260220.2157) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Fri, 20 Feb 2026 21:57:22 +0000

## ros-one-eus-qpoases 0.1.18-14noble.20260220.2206

=== debian/changelog ===
ros-one-eus-qpoases (0.1.18-14noble.20260220.2206) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Fri, 20 Feb 2026 22:06:13 +0000

ros-one-eus-qpoases (0.1.18-0noble) noble; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2024 00:00:00 -0000

ros-one-eus-qpoases (0.1.17-0noble) noble; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 28 May 2023 00:00:00 -0000

ros-one-eus-qpoases (0.1.16-0noble) noble; urgency=high

  * https://projects.coin-or.org have mved to github (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
  * add optimization motion generation (#700 <https://github.com/jsk-ros-pkg/jsk_control/issues/700>)
    
      * [eus_qpoases/src/eus_qpoases.cpp] change nWSR for large size QP problem: 1000 -> 10000
    
  * Contributors: Kei Okada, Masaki Murooka

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2022 00:00:00 -0000

ros-one-eus-qpoases (0.1.15-0noble) noble; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 16 May 2018 00:00:00 -0000

ros-one-eus-qpoases (0.1.14-0noble) noble; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-one-eus-qpoases (0.1.13-0noble) noble; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-one-eus-qpoases (0.1.12-0noble) noble; urgency=high

  * mv .gitignore to .placeholder
  * Contributors: Kei Okada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-eus-qpoases (0.1.11-0noble) noble; urgency=high

  * Set include path of qpoases in eus_qpoases
  * Contributors: Kei Okada, Kentaro Wada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-eus-qpoases (0.1.10-0noble) noble; urgency=high

  * eus_qpoases : add missing install directory
  * [euslisp/test-eus-qpoases.l,test/eus-qpoases.test.l] Add test for sqp/slp
  * [eus_qpoases.cpp, eus-qpoases.l] Add qp with hotstart and sqp with hotstart
  * [eus_qpoases/src/eus_qpoases.cpp] Use common function for qp and lp.
  * Contributors: Kei Okada, Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-one-eus-qpoases (0.1.9-0noble) noble; urgency=high

  * [eus_qpoases/euslisp/eus-qpoases.l] Use concatenate matrix functions in irteus and fix checking of ineq and eq existence
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 23 Mar 2016 00:00:00 -0000

ros-one-eus-qpoases (0.1.8-0noble) noble; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 00:00:00 -0000

ros-one-eus-qpoases (0.1.7-0noble) noble; urgency=high

  * [eus_qpoases] use ExternalProject instead of mk
  * [eus_qpoases/euslisp/eus-qpoases.l] Check equality usage and use state-dim and inequality-dim.
  * [../../eus_qp/euslisp/contact-optimization.l,test-eus-qpoases.l,eus-qpoases.l] Rename solve-qpoases => solve-qpoases-qp and remain solve-qpoases for backward compatibility with warning.
  * [../src/eus_qpoases.cpp,../test/eus-qpoases.test.l,test-eus-qpoases.l,eus-qpoases.l] Add LP solver using qpOASES and add samples and tests.
  * [../src/eus_qpoases.cpp,../test/eus-qpoases.test.l,test-eus-qpoases.l,eus-qpoases.l] Add LP solver using qpOASES and add samples and tests.
  * [eus_qpoases/euslisp/eus-qpoases.l] Add argument matrix size check
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Add comments for qp functions
  * Add demo-eus-qpOASES4 for force infeasible problem.
  * Print debug message by default. If you want to disable it, :debug nil
  * Add debug print check
  * Added install rules for qpoases headers and libs to catkin cmake-file.
  * require rostest in cmake files
  * add rostest declaration
  * intial commit of test dir and test files, check euslisp/test-eus-qpoases.l all functions, and if there are at least one failure, then test would be failed
  * test functions return test results
  * [eus_qpoases] add dependencies to linqpOASES
  * Contributors: Yuki Furuta, Georg Bartels, Ryohei Ueda, Shunichi Nozawa, Shintaro Noda

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 00:00:00 -0000

ros-one-eus-qpoases (0.1.6-0noble) noble; urgency=high

  * [eus_qpoases] Ignore bin directory
  * [eus_qpoases] Support ccache

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-one-eus-qpoases (0.1.5-0noble) noble; urgency=high

  * Get qpOASES status from argument
  * Update patch for qpoases shared object (https://github.com/jsk-ros-pkg/jsk_control/issues/180)
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 00:00:00 -0000

ros-one-eus-qpoases (0.1.4-0noble) noble; urgency=high

  * trust server ssl

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 21 Oct 2014 00:00:00 -0000

ros-one-eus-qpoases (0.1.3-0noble) noble; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Fri, 10 Oct 2014 00:00:00 -0000

ros-one-eus-qpoases (0.1.2-0noble) noble; urgency=high

  * add run_depend to euslisp
  * add subversion to build_depend
  * Contributors: Kei Okada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 08 Sep 2014 00:00:00 -0000

ros-one-eus-qpoases (0.1.1-0noble) noble; urgency=high

  * Add euslisp package for qpOASES, which is a qp solver
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 04 Sep 2014 00:00:00 -0000
